import request from '@/utils/request'

// 查询公示公告信息列表
export function listRecord(query) {
  return request({
    url: '/basicData/xcrNoticeRecord/findByPage',
    method: 'get',
    params: query
  })
}

// 查询公示公告信息详细
export function getRecord(xhCodeId) {
  return request({
    url: '/basicData/xcrNoticeRecord/' + xhCodeId,
    method: 'get'
  })
}

// 新增公示公告信息
export function addRecord(data) {
  return request({
    url: '/basicData/xcrNoticeRecord',
    method: 'post',
    data: data
  })
}

// 修改公示公告信息
export function updateRecord(data) {
  return request({
    url: '/basicData/xcrNoticeRecord',
    method: 'put',
    data: data
  })
}

// 删除公示公告信息
export function delRecord(xhCodeId) {
  return request({
    url: '/basicData/xcrNoticeRecord/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delRecordBatch(ids) {
  return request.post('/basicData/xcrNoticeRecord/delete',ids)
}
